Bug 58329 - redhat-config-users does not allow to set user and group ID's and it is broken about group selection
redhat-config-users does not allow to set user and group ID's and it is broke...
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-14 11:00 EST by Alfredo Ferrari
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-07 15:07:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2002-01-14 11:00:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13enterprise i686)

Description of problem:
This is both a bug report and a request for enhancements
The "group" tab in the user properties does not work: deselecting the current
group and selecting a new one does not actually change the user's group --
that's the bug

Enhancements: this is a HUGE step back wrt the old interfaces (including
linuxconf) since it does not allow to:
a) set the user uid (incredible! one has to accept the default making impossible
to set up machines with properly mapped users/group, ie for nfs mounts)
b) set the (new) group gid. See above
c) set the (new) user group. Only a group==username or group users are
possible, again an unbelievable limitation

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.fire redhat-config-users
2.try to set uid/gid's or to change a user group
3.... impossible

Actual Results:  the group selection tab in the user property menu does not work
and no selection of uid/gid's is possible

Expected Results:  the group selection tab should work and the uid/gid of
users/groups should be selectable by the system manager if she/he likes so

Additional info:
Comment 1 Brent Fox 2002-01-16 15:27:36 EST
Ok, I think I see the bug you are talking about.  I'll look into it further.  In
the User Properties window, I can add a user to other groups just fine.  The
problem I see is when I try to remove a user from his/her primary group and make
the primary group something else.  Then things seem to not work.

Also, I will try to add the uid/gid setting.  It shouldn't be too hard to add.
Comment 2 Brent Fox 2002-02-28 16:48:18 EST
I have implemented setting uid and gid.  I will look at the primary group
problem now.
Comment 3 Brent Fox 2002-03-07 15:07:51 EST
Ok, I've implemented the ability to change a user's primary group, and it works
pretty well.  The last thing left to do is warn the user if they try to remove a
user from his/her primary group in the group properties window.
Comment 4 Brent Fox 2002-03-07 15:53:02 EST
Ok, when in the group properties window, if the user tries to remove a user from
what is the user's primary group, we raise an error message to not allow that to
happen.  I think I've addressed the issues in the bug report, so I'm going to
close this report now.  

A new version of redhat-config-users (1.0-1) will appear in Rawhide soon, but
since redhat-config-users has been ported to GTK2 and Python2.2, you'll have to
upgrade a whole bunch of packages to get it to work.  The big problem is you'll
have to upgrade libuser, which will need a new openssl, which will mean that
most of the distro will need to be upgraded. ;)  Unless you're feeling
adventurous, it's probably better to wait until the next release of RHL, or
upgrade to the next public beta when it is released.  I'd really like more of
your feedback before the next full release, though.  Thanks for your report.
Comment 5 Alfredo Ferrari 2002-03-23 06:58:41 EST
I felt adventurous (never do...) and I tried to upgrade all required packages in
order to test the new version and give some feedback (don't worry I am able to
go back relatively easily). Now I am able to fire up the new user configuration
screen, however a few functionality are failing. I suspect I am still missing
some new packages, indeed I get 
Can not open Input Method module file '/etc/gtk-2.0/gtk.immodules': No such file
or directory
messages, however I was unable to find in rawhide the relevant stuff to fix
these messages (I have /etc/gtk-2.0 from gtk2, but it is (almost) empty). Can
you help? All packages I installed are from the rawhide release of march 18.
Comment 6 Brent Fox 2002-03-23 11:47:06 EST
Hmm...I can't tell exactly what package you are missing.  Hey, how about trying
our brand new public beta for the next release of Red Hat Linux?  The installer
should upgrade/install the packages you are missing.  You will also get the
latest version of redhat-config-users.  I rebuilt it two days ago, so it hasn't
appeared in rawhide yet.

It can be found at:

Still feeling adventurous?

Note You need to log in before you can comment on or make changes to this bug.